org.apache.hc.client5.http.impl.async

## Class LogAppendable

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.LogAppendable

All Implemented Interfaces:
  Appendable

    public final class LogAppendable
    extends Object
    implements Appendable

### Constructor Summary

Constructors
Constructor and Description
`LogAppendable(org.apache.logging.log4j.Logger log, String prefix)`

### Method Summary

Methods
`Appendable` `append(char ch)`
`Appendable` `append(CharSequence text)`
`Appendable` `append(CharSequence text, int start, int end)`
`void` `flush()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogAppendable

    public LogAppendable(org.apache.logging.log4j.Logger log,
                 String prefix)

### Method Detail

#### append

    public Appendable append(CharSequence text)
                      throws IOException

Specified by:
  `append` in interface `Appendable`
Throws:
  `IOException`

#### append

    public Appendable append(CharSequence text,
                    int start,
                    int end)
                      throws IOException

Specified by:
  `append` in interface `Appendable`
Throws:
  `IOException`

#### append

    public Appendable append(char ch)
                      throws IOException

Specified by:
  `append` in interface `Appendable`
Throws:
  `IOException`

#### flush

    public void flush()